| parsec-2.1.0.1: Monadic parser combinators | Source code | Contents | Index

Text.ParserCombinators.Parsec.Expr

Portability | portable
Stability | provisional
Maintainer | daan@cs.uu.nl

Description
A helper module to parse "expressions". Builds a parser given a table of operators and associativities.
Documentation

data Assoc | Source

Constructors

AssocNone |
AssocLeft |
AssocRight |

data Operator t st a | Source

Constructors

Infix (GenParser t st (a -> a -> a)) Assoc |
Prefix (GenParser t st (a -> a)) |
Postfix (GenParser t st (a -> a)) |

type OperatorTable t st a = [[Operator t st a]] | Source

buildExpressionParser :: OperatorTable tok st a -> GenParser tok st a -> GenParser tok st a | Source

Produced by Haddock version 0.9